Name:		canl-java
Version:	2.8.3
Release:    1%{?dist}
Summary:	EMI Common Authentication library - bindings for Java

License:	BSD-3-Clause AND Apache-2.0 AND MIT
URL:		https://github.com/eu-emi/%{name}/
Source0:	https://github.com/eu-emi/%{name}/archive/canl-%{version}/%{name}-%{version}.tar.gz
Patch0:		%{name}-test.patch

BuildArch:	noarch
ExclusiveArch:	%{java_arches} noarch

BuildRequires:	maven-local
BuildRequires:	mvn(commons-io:commons-io) >= 2.4
BuildRequires:	mvn(junit:junit) >= 4.8
BuildRequires:	mvn(org.assertj:assertj-core)
BuildRequires:	mvn(org.bouncycastle:bcpkix-jdk15on) >= 1.69
BuildRequires:	mvn(org.bouncycastle:bcprov-jdk15on) >= 1.69
Requires:	mvn(org.bouncycastle:bcpkix-jdk15on) >= 1.69
Requires:	mvn(org.bouncycastle:bcprov-jdk15on) >= 1.69

%description
This is the Java part of the EMI caNl -- the Common Authentication Library.

%package javadoc
Summary:	Javadoc documentation for %{name}

%description javadoc
Javadoc documentation for EMI caNl.

%prep
%setup -q -n %{name}-canl-%{version}
%patch0 -p1

%pom_change_dep org.bouncycastle:bcprov-jdk18on org.bouncycastle:bcprov-jdk15on
%pom_change_dep org.bouncycastle:bcpkix-jdk18on org.bouncycastle:bcpkix-jdk15on

%pom_xpath_remove pom:build/pom:extensions

%pom_remove_plugin org.apache.maven.plugins:maven-gpg-plugin

%pom_remove_plugin org.apache.maven.plugins:maven-javadoc-plugin

%pom_remove_plugin org.apache.maven.plugins:maven-source-plugin

%pom_remove_plugin org.sonatype.plugins:nexus-staging-maven-plugin

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc API-Changes.txt README.md
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt

%changelog
* Thu Apr 11 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.8.3-1
- initial build
